=== bindings/CMakeLists.txt ===
add_subdirectory(csharp)
add_subdirectory(matlab)
add_subdirectory(python)
