=== debian/changelog ===
libiio (0.10-3) unstable; urgency=medium

  * Add libserialport and libusb build dependencies
  * limit cil architectures

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 05 Sep 2017 21:07:13 -0400

libiio (0.10-2) unstable; urgency=medium

  * linux-only iiod
  * Adopt package

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 05 Sep 2017 20:34:24 -0400

libiio (0.10-1) unstable; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 23 Aug 2017 22:14:36 -0400
