## libiio 0.15

=== debian/changelog ===
libiio (0.15-1) unstable; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 13 May 2018 11:00:37 -0400

libiio (0.14-1) unstable; urgency=medium

  * New upstream, update to v0.14-15-g8ac1893
  * Remove cil components while Mono is broken on Debian

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 07 Apr 2018 21:40:53 -0400

libiio (0.11-1) unstable; urgency=medium

  * New upstream release
    Add quiet mode to iio_attr
    Don't clear local channel enabled state on buffer destruction
       in the local backend
    Code style cleanups in iio_attr and ad9361-iiostream
	    
 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 15 Nov 2017 23:43:54 -0500
