=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: bison,
-	       cli-common-dev [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-any powerpc ppc64],
-               cmake (>= 2.8),
+               cmake,
                debhelper (>= 9),
                dh-python,
                doxygen,
@@ -14,11 +13,11 @@
 	       libusb-1.0-0-dev [linux-any],
 	       libusb2-dev [kfreebsd-any],
 	       libxml2-dev,
-               python
-Standards-Version: 4.1.0
+               python-dev
+Standards-Version: 4.1.4
 Homepage: https://github.com/analogdevicesinc/libiio
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libiio.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/libiio.git
+Vcs-Browser: https://salsa.debian.org/debian/libiio
+Vcs-Git: https://salsa.debian.org/debian/libiio.git
 
 Package: libiio0
 Architecture: any
@@ -79,31 +78,6 @@
  .
  This package contains the Python bindings for libiio.
 
-Package: libiio0-cil
-Section: cli-mono
-Architecture: amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-any powerpc ppc64
-Depends: libiio0 (>= ${binary:Version}), ${cli:Depends}, ${misc:Depends}
-Description: CLI bindings for libiio
- Libiio is a library that has been conceived to ease the development of
- applications interfacing Industrial Input/Output (IIO) devices through
- the IIO subsystem of the Linux kernel.
- .
- This package contains the CLI bindings for libiio.
-
-Package: libiio-cil-dev
-Section: cli-mono
-Architecture: amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-any powerpc ppc64
-Depends: libiio0-cil (>= ${source:Upstream-Version}),
-         libiio0-cil (<< ${source:Upstream-Version}+1~),
-         ${misc:Depends}
-Description: CLI bindings for libiio (development)
- Libiio is a library that has been conceived to ease the development of
- applications interfacing Industrial Input/Output (IIO) devices through
- the IIO subsystem of the Linux kernel.
- .
- This package contains development files for the CLI bindings of libiio,
- and should be used for compilation.
-
 Package: libiio0-doc
 Section: doc
 Architecture: all
