=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -11,19 +11,26 @@
 	set(GETOPT_C_FILE ${CMAKE_CURRENT_SOURCE_DIR}/../deps/wingetopt/src/getopt.c)
 endif (MSVC)
 
-add_executable(iio_genxml  iio_genxml.c   ${GETOPT_C_FILE})
-add_executable(iio_info    iio_info.c     ${GETOPT_C_FILE})
-add_executable(iio_attr    iio_attr.c     ${GETOPT_C_FILE})
-add_executable(iio_readdev iio_readdev.c  ${GETOPT_C_FILE})
-add_executable(iio_reg     iio_reg.c      ${GETOPT_C_FILE})
+if (WIN32)
+	set(LIBIIO_ORIGINAL_FILENAME )
+	set(LIBIIO_RC ${CMAKE_CURRENT_BINARY_DIR}/properties.rc)
+	configure_file(../properties.rc.cmakein ${LIBIIO_RC} @ONLY)
+endif()
+add_executable(iio_genxml  iio_genxml.c   ${GETOPT_C_FILE} ${LIBIIO_RC})
+add_executable(iio_info    iio_info.c     ${GETOPT_C_FILE} ${LIBIIO_RC})
+add_executable(iio_attr    iio_attr.c     ${GETOPT_C_FILE} ${LIBIIO_RC})
+add_executable(iio_readdev iio_readdev.c  ${GETOPT_C_FILE} ${LIBIIO_RC})
+add_executable(iio_reg     iio_reg.c      ${GETOPT_C_FILE} ${LIBIIO_RC})
+add_executable(iio_writedev iio_writedev.c  ${GETOPT_C_FILE} ${LIBIIO_RC})
 
 target_link_libraries(iio_genxml  iio)
 target_link_libraries(iio_info    iio)
 target_link_libraries(iio_attr    iio)
 target_link_libraries(iio_readdev iio)
 target_link_libraries(iio_reg     iio)
+target_link_libraries(iio_writedev iio)
 
-set(IIO_TESTS_TARGETS iio_genxml iio_info iio_attr iio_readdev iio_reg)
+set(IIO_TESTS_TARGETS iio_genxml iio_info iio_attr iio_readdev iio_reg iio_writedev)
 
 if(PTHREAD_LIBRARIES)
 	project(iio_adi_xflow_check C)
@@ -31,7 +38,8 @@
 	target_link_libraries(iio_adi_xflow_check iio ${PTHREAD_LIBRARIES})
 	set(IIO_TESTS_TARGETS ${IIO_TESTS_TARGETS} iio_adi_xflow_check)
 
-	target_link_libraries(iio_readdev ${PTHREAD_LIBRARIES})
+	target_link_libraries(iio_readdev  ${PTHREAD_LIBRARIES})
+	target_link_libraries(iio_writedev ${PTHREAD_LIBRARIES})
 endif()
 
 set_target_properties(${IIO_TESTS_TARGETS} PROPERTIES
