=== debian/changelog ===
libiio (0.16-1) unstable; urgency=medium

  * New upstream release
  * Build for default Python3 (Closes: #913411, #912166)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 22 Nov 2018 10:02:41 -0500

libiio (0.15-4) unstable; urgency=medium

  * Update to v0.15-47-ged6709e

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 08 Nov 2018 21:20:51 -0500

libiio (0.15-3) experimental; urgency=medium

  * upload to experimental waiting for NEW python3-libiio
  * add python3-iio package (Closes: #896905)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 24 Sep 2018 20:32:03 -0400

libiio (0.15-2.1) UNRELEASED; urgency=medium

  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

 -- Ondřej Nový <onovy@debian.org>  Mon, 01 Oct 2018 10:06:53 +0200

libiio (0.15-2) unstable; urgency=medium

  * Update to v0.15-6-gc80412c
  * install all utils
  * install udev rules

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 18 Sep 2018 19:13:32 -0700
