=== debian/control ===
--- 
+++ 
@@ -13,8 +13,9 @@
 	       libusb-1.0-0-dev [linux-any],
 	       libusb2-dev [kfreebsd-any],
 	       libxml2-dev,
-               python-dev
-Standards-Version: 4.1.4
+               python-dev,
+	       python3-dev
+Standards-Version: 4.2.1
 Homepage: https://github.com/analogdevicesinc/libiio
 Vcs-Browser: https://salsa.debian.org/debian/libiio
 Vcs-Git: https://salsa.debian.org/debian/libiio.git
@@ -70,7 +71,18 @@
 Package: python-libiio
 Section: python
 Architecture: all
-Depends: libiio0 (>= ${binary:Version}), ${misc:Depends}, ${python:Depends}
+Depends: python, libiio0 (>= ${binary:Version}), ${misc:Depends}, ${python:Depends}
+Description: Python bindings for libiio
+ Libiio is a library that has been conceived to ease the development of
+ applications interfacing Industrial Input/Output (IIO) devices through
+ the IIO subsystem of the Linux kernel.
+ .
+ This package contains the Python bindings for libiio.
+
+Package: python3-libiio
+Section: python
+Architecture: all
+Depends: libiio0 (>= ${binary:Version}), ${misc:Depends}, ${python3:Depends}
 Description: Python bindings for libiio
  Libiio is a library that has been conceived to ease the development of
  applications interfacing Industrial Input/Output (IIO) devices through
