## libiio 0.18

=== debian/changelog ===
libiio (0.18-2) unstable; urgency=medium

  * No more Python2 (Closes: #936876)
  * reproducuble documentation (Closes: #922520)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 15 Nov 2019 20:50:58 -0500

libiio (0.18-1) unstable; urgency=medium

  * New upstream release
  * update to v0.18-16-gc0012d0

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 14 Aug 2019 21:34:58 -0400
