=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: bison,
                cmake,
-               debhelper (>= 9),
+               debhelper (>= 12),
                dh-python,
                doxygen,
                flex,
@@ -13,9 +13,8 @@
 	       libusb-1.0-0-dev [linux-any],
 	       libusb2-dev [kfreebsd-any],
 	       libxml2-dev,
-               python-dev,
 	       python3-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://github.com/analogdevicesinc/libiio
 Vcs-Browser: https://salsa.debian.org/debian/libiio
 Vcs-Git: https://salsa.debian.org/debian/libiio.git
@@ -47,9 +46,10 @@
 
 Package: iiod
 Architecture: linux-any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: libiio0 (>= ${binary:Version}),
          lsb-base (>=3.0-6),
-         ${misc:Depends},
+	 ${misc:Depends},
          ${shlibs:Depends}
 Section: net
 Suggests: avahi-daemon
@@ -67,17 +67,6 @@
  the IIO subsystem of the Linux kernel.
  .
  This package contains several basic utilities for testing libiio.
-
-Package: python-libiio
-Section: python
-Architecture: all
-Depends: python, libiio0 (>= ${binary:Version}), ${misc:Depends}, ${python:Depends}
-Description: Python bindings for libiio
- Libiio is a library that has been conceived to ease the development of
- applications interfacing Industrial Input/Output (IIO) devices through
- the IIO subsystem of the Linux kernel.
- .
- This package contains the Python bindings for libiio.
 
 Package: python3-libiio
 Section: python
