=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --builddirectory=build --with python3

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_SKIP_INSTALL_RPATH=On

override_dh_compress:
	dh_compress -X.c -X.C
